import { Request, Response } from "express";
import CheckIn from "../db/models/CheckIn";
import Boat from "../db/models/Boat";
import BoatType from "../db/models/BoatType";

export const checkInController = async (req: Request, res: Response) => {
  try {
    const logEntryInput = req.body;

    // TODO check status of Boat
    const newLogEntry = await CheckIn.create(logEntryInput);

    //return result after checking all possible error-cases
    return res.status(201).json({
      success: true,
      result: {
        id: newLogEntry.id,
        startTime: newLogEntry.startTime,
        estimatedEndTime: newLogEntry.estimatedEndTime,
        email: newLogEntry.email,
        fullNameOfResponsableClient: newLogEntry.fullNameOfResponsibleClient,
        additionalClients: newLogEntry.additionalClients,
      },
    });
  } catch (error) {
    console.error(error.message);
    return res.status(500).json({ success: false, error: "serverError" });
  }
};
export const checkOutController = async (req: Request, res: Response) => {
  try {
    
  } catch (error) {
    console.error(error.message);
    return res.status(500).json({ success: false, error: "serverError" });
  }
};
